// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S046_RegionalCaseLawAuthorities.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;


@SuppressWarnings("fallthrough")
class S046_RegionalCaseLawAuthorities extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1, 1
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\0\2\6\2\0\2\6"+
    "\1\7\1\10\12\11\1\12\1\13\5\0\1\14\1\15"+
    "\1\16\1\17\1\20\1\21\1\22\1\23\1\24\1\25"+
    "\1\26\1\27\1\30\1\31\1\32\1\33\1\34\1\35"+
    "\1\36\1\37\1\40\1\41\1\42\1\25\1\43\1\25"+
    "\1\44\1\0\1\45\1\0\1\46\1\0\1\47\1\50"+
    "\1\51\1\52\1\53\1\54\1\55\1\56\1\57\1\60"+
    "\1\61\1\62\1\63\1\64\1\65\1\66\1\67\1\70"+
    "\1\71\1\72\1\73\1\74\1\75\1\60\1\76\1\60"+
    "\105\0\6\60\1\0\11\60\1\0\6\60\2\0\4\60"+
    "\3\0\6\60\1\0\11\60\1\0\6\60\2\0\4\60"+
    "\53\0\2\60\6\0\2\77\66\0\2\60\4\0\2\60"+
    "\17\0\1\100\u0188\0\2\60\216\0\2\60\42\0\2\60"+
    "\104\0\1\1\20\0\2\6\u0115\0\1\101\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\12\0\4\1\2\2\210\0\5\3\1\0\1\3\3\0"+
    "\1\4\57\0\3\5\1\0\1\5\42\0\2\6\21\0"+
    "\1\3\145\0\4\5\1\0\2\5\33\0\1\7\33\0"+
    "\1\10\24\0\1\7\54\0\1\7\50\0\1\11\11\0"+
    "\2\12\31\0\1\13\1\11\42\0\1\13\106\0\2\14"+
    "\230\0\1\15\5\0\1\16\7\0\1\17\5\0\1\20"+
    "\5\0\1\21\106\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[934];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\102\0\204\0\306\0\u0108\0\u014a\0\u018c\0\u01ce"+
    "\0\u0210\0\u0252\0\u0294\0\u02d6\0\u0318\0\u035a\0\u0318\0\u039c"+
    "\0\u03de\0\u0420\0\u0462\0\u04a4\0\u04e6\0\u0528\0\u056a\0\u05ac"+
    "\0\u05ee\0\u0630\0\u0672\0\u06b4\0\u06f6\0\u0738\0\u077a\0\u07bc"+
    "\0\u07fe\0\u0840\0\u0882\0\u08c4\0\u0906\0\u0948\0\u098a\0\u0294"+
    "\0\u09cc\0\u0a0e\0\u0a50\0\u0a92\0\u0ad4\0\u0b16\0\u0b58\0\u0b9a"+
    "\0\u0bdc\0\u0c1e\0\u0c60\0\u0ca2\0\u0ce4\0\u0d26\0\u0d68\0\u0daa"+
    "\0\u0dec\0\u0e2e\0\u0e70\0\u0eb2\0\u0ef4\0\u0f36\0\u0f78\0\u0fba"+
    "\0\u0ffc\0\u103e\0\u1080\0\u10c2\0\u1104\0\u1146\0\u1188\0\u11ca"+
    "\0\u120c\0\u124e\0\u1290\0\u12d2\0\u1314\0\u1356\0\u1398\0\u13da"+
    "\0\u141c\0\u145e\0\u14a0\0\u14e2\0\u1524\0\u1566\0\u15a8\0\u15ea"+
    "\0\u162c\0\u166e\0\u16b0\0\u16f2\0\u1734\0\u1776\0\u17b8\0\u17fa"+
    "\0\u183c\0\u187e\0\u18c0\0\u1902\0\u1944\0\u1986\0\u19c8\0\u1a0a"+
    "\0\u1a4c\0\u1a8e\0\u1ad0\0\u1b12\0\u1b54\0\u1b96\0\u1bd8\0\u1c1a"+
    "\0\u1c5c\0\u1c9e\0\u1ce0\0\u1d22\0\u1d64\0\u1da6\0\u1de8\0\u1e2a"+
    "\0\u1e6c\0\u1eae\0\u1ef0\0\u1f32\0\u1f74\0\u1fb6\0\u1ff8\0\u203a"+
    "\0\u207c\0\u20be\0\u2100\0\u0318\0\u2142\0\u2184\0\u21c6\0\u2208"+
    "\0\u224a\0\u228c\0\u22ce\0\u2310\0\u2352\0\u2394\0\u23d6\0\u2418"+
    "\0\u245a\0\u249c\0\u24de\0\u2520\0\u2562\0\u25a4\0\u25e6\0\u2628"+
    "\0\u0318\0\u266a\0\u26ac\0\u26ee\0\u2730\0\u2772\0\u27b4\0\u27f6"+
    "\0\u2838\0\u287a\0\u0318\0\u28bc\0\u28fe\0\u2940\0\u2982\0\u29c4"+
    "\0\u2a06\0\u2a48\0\u2a8a\0\u2acc\0\u2b0e\0\u2b50\0\u2b92\0\u2bd4"+
    "\0\u2c16\0\u2c58\0\u2c9a\0\u2cdc\0\u2d1e\0\u2d60\0\u2da2\0\u2de4"+
    "\0\u2e26\0\u2e68\0\u2eaa\0\u2eec\0\u2f2e\0\u2f70\0\u2fb2\0\u2ff4"+
    "\0\u3036\0\u3078\0\u30ba\0\u30fc\0\u313e\0\u3180\0\u31c2\0\u3204"+
    "\0\u3246\0\u3288\0\u32ca\0\u330c\0\u266a\0\u26ee\0\u27b4\0\u334e"+
    "\0\u3390\0\u33d2\0\u0318\0\u3414\0\u3456\0\u3498\0\u3498\0\u34da"+
    "\0\u351c\0\u355e\0\u35a0\0\u35e2\0\u3624\0\u3666\0\u36a8\0\u36ea"+
    "\0\u372c\0\u376e\0\u37b0\0\u37f2\0\u3834\0\u3876\0\u38b8\0\u38fa"+
    "\0\u393c\0\u397e\0\u39c0\0\u3a02\0\u3a44\0\u3a86\0\u3a44\0\u3ac8"+
    "\0\u3b0a\0\u3b4c\0\u3b8e\0\u3bd0\0\u3c12\0\u3c54\0\u3c96\0\u3cd8"+
    "\0\u3d1a\0\u0318\0\u3d5c\0\u3d9e\0\u3de0\0\u3e22\0\u3e64\0\u3ea6"+
    "\0\u3ee8\0\u3f2a\0\u3f6c\0\u3fae\0\u3ff0\0\u4032\0\u4074\0\u40b6"+
    "\0\u40f8\0\u413a\0\u417c\0\u41be\0\u41be\0\u4200\0\u4242\0\u4284"+
    "\0\u42c6\0\u4308\0\u434a\0\u438c\0\u43ce\0\u4410\0\u4452\0\u4494"+
    "\0\u44d6\0\u4518\0\u455a\0\u459c\0\u45de\0\u4620\0\u4662\0\u46a4"+
    "\0\u46e6\0\u4728\0\u476a\0\u47ac\0\u47ee\0\u4830\0\u4872\0\u48b4"+
    "\0\u48f6\0\u4938\0\u497a\0\u49bc\0\u49fe\0\u4a40\0\u4a82\0\u4ac4"+
    "\0\u4b06\0\u4b48\0\u4b8a\0\u4bcc\0\u4c0e\0\u4c50\0\u4c92\0\u4cd4"+
    "\0\u4d16\0\u4d58\0\u4d9a\0\u4ddc\0\u4e1e\0\u4e60\0\u4ea2\0\u4ee4"+
    "\0\u4f26\0\u4f68\0\u4faa\0\u4fec\0\u502e\0\u5070\0\u50b2\0\u50f4"+
    "\0\u5136\0\u5178\0\u51ba\0\u51fc\0\u523e\0\u5280\0\u52c2\0\u5304"+
    "\0\u5346\0\u5388\0\u53ca\0\u540c\0\u544e\0\u5490\0\u54d2\0\u5514"+
    "\0\u5556\0\u5598\0\u55da\0\u561c\0\u565e\0\u56a0\0\u56e2\0\u5724"+
    "\0\u5766\0\u57a8\0\u57ea\0\u582c\0\u586e\0\u58b0\0\u58f2\0\u5934"+
    "\0\u5976\0\u59b8\0\u59fa\0\u5a3c\0\u5a7e\0\u5ac0\0\u5b02\0\u5b44"+
    "\0\u5b86\0\u5bc8\0\u355e\0\u5c0a\0\u42c6\0\u5c4c\0\u5c8e\0\u3666"+
    "\0\u5c8e\0\u5cd0\0\u5d12\0\u5d54\0\u5d96\0\u5dd8\0\u5e1a\0\u5e5c"+
    "\0\u5e9e\0\u5ee0\0\u5f22\0\u5f64\0\u5fa6\0\u5fe8\0\u602a\0\u606c"+
    "\0\u60ae\0\u60f0\0\u6132\0\u6174\0\u61b6\0\u61f8\0\u623a\0\u627c"+
    "\0\u62be\0\u6300\0\u6342\0\u6384\0\u63c6\0\u6408\0\u644a\0\u648c"+
    "\0\u64ce\0\u6510\0\u6552\0\u6594\0\u65d6\0\u6618\0\u665a\0\u669c"+
    "\0\u66de\0\u6720\0\u6762\0\u67a4\0\u67e6\0\u6828\0\u2730\0\u686a"+
    "\0\u68ac\0\u68ee\0\u6930\0\u6972\0\u69b4\0\u69f6\0\u6a38\0\u6a7a"+
    "\0\u0318\0\u6abc\0\u6afe\0\u6b40\0\u6b82\0\u6bc4\0\u6c06\0\u6c48"+
    "\0\u6c8a\0\u6ccc\0\u6d0e\0\u6d50\0\u6d92\0\u6dd4\0\u6e16\0\u6e58"+
    "\0\u6e9a\0\u6edc\0\u6f1e\0\u6f60\0\u6fa2\0\u0318\0\u6fe4\0\u7026"+
    "\0\u7068\0\u70aa\0\u70ec\0\u712e\0\u7170\0\u71b2\0\u71f4\0\u7236"+
    "\0\u7278\0\u72ba\0\u72fc\0\u733e\0\u7380\0\u73c2\0\u7404\0\u7446"+
    "\0\u7488\0\u74ca\0\u750c\0\u3456\0\u754e\0\u7590\0\u75d2\0\u7614"+
    "\0\u7656\0\u7698\0\u76da\0\u771c\0\u775e\0\u77a0\0\u77e2\0\u7824"+
    "\0\u7866\0\u78a8\0\u78ea\0\u792c\0\u796e\0\u79b0\0\u79f2\0\u7a34"+
    "\0\u7a76\0\u7ab8\0\u7afa\0\u7b3c\0\u7b7e\0\u7bc0\0\u7c02\0\u7c44"+
    "\0\u7c86\0\u7cc8\0\u7d0a\0\u7d4c\0\u7d8e\0\u7dd0\0\u7e12\0\u7e54"+
    "\0\u7e96\0\u7ed8\0\u7f1a\0\u7f5c\0\u7f9e\0\u7fe0\0\u8022\0\u8064"+
    "\0\u80a6\0\u80e8\0\u812a\0\u816c\0\u81ae\0\u81f0\0\u8232\0\u8274"+
    "\0\u82b6\0\u82f8\0\u833a\0\u837c\0\u83be\0\u8400\0\u8442\0\u8484"+
    "\0\u84c6\0\u8508\0\u854a\0\u858c\0\u85ce\0\u8610\0\u8652\0\u8694"+
    "\0\u86d6\0\u8718\0\u875a\0\u879c\0\u87de\0\u0318\0\u8820\0\u8862"+
    "\0\u88a4\0\u88e6\0\u8928\0\u896a\0\u89ac\0\u89ee\0\u8a30\0\u8a72"+
    "\0\u8ab4\0\u8af6\0\u8b38\0\u8b7a\0\u8bbc\0\u8bfe\0\u8c40\0\u8c82"+
    "\0\u8cc4\0\u8d06\0\u8d48\0\u8d8a\0\u8dcc\0\u8e0e\0\u8e50\0\u8e92"+
    "\0\u8ed4\0\u0318\0\u8f16\0\u8f58\0\u8f9a\0\u8fdc\0\u901e\0\u9060"+
    "\0\u90a2\0\u90e4\0\u9126\0\u9168\0\u91aa\0\u91ec\0\u922e\0\u9270"+
    "\0\u92b2\0\u92f4\0\u9336\0\u9378\0\u93ba\0\u5c4c\0\u93fc\0\u943e"+
    "\0\u9480\0\u94c2\0\u9504\0\u9546\0\u9588\0\u95ca\0\u960c\0\u964e"+
    "\0\u9690\0\u96d2\0\u9714\0\u9756\0\u0318\0\u9798\0\u97da\0\u981c"+
    "\0\u985e\0\u98a0\0\u98e2\0\u9924\0\u9966\0\u99a8\0\u99ea\0\u9a2c"+
    "\0\u9a6e\0\u9ab0\0\u9af2\0\u9b34\0\u9b76\0\u9bb8\0\u9bfa\0\u9c3c"+
    "\0\u9c7e\0\u9cc0\0\u9d02\0\u9d44\0\u9d86\0\u9dc8\0\u9e0a\0\u9e4c"+
    "\0\u9e8e\0\u9ed0\0\u9f12\0\u9f54\0\u9f96\0\u9fd8\0\ua01a\0\ua05c"+
    "\0\ua09e\0\ua0e0\0\ua122\0\ua164\0\ua1a6\0\ua1e8\0\ua22a\0\ua26c"+
    "\0\ua2ae\0\ua2f0\0\ua332\0\ua374\0\ua3b6\0\ua3f8\0\ua43a\0\ua47c"+
    "\0\ua4be\0\ua500\0\ua542\0\ua584\0\ua5c6\0\ua608\0\ua64a\0\ua68c"+
    "\0\ua6ce\0\ua710\0\ua752\0\ua794\0\ua7d6\0\ua818\0\ua85a\0\ua89c"+
    "\0\ua8de\0\ua920\0\ua962\0\u0318\0\ua9a4\0\ua9e6\0\uaa28\0\uaa6a"+
    "\0\uaaac\0\uaaee\0\uab30\0\uab72\0\uabb4\0\uabf6\0\uac38\0\uac7a"+
    "\0\uacbc\0\uacfe\0\uad40\0\uad82\0\uadc4\0\uae06\0\uae48\0\uae8a"+
    "\0\uaecc\0\uaf0e\0\uaf50\0\uaf92\0\uafd4\0\ub016\0\ub058\0\ub09a"+
    "\0\ub0dc\0\ub11e\0\ub160\0\ub1a2\0\ub1e4\0\ub226\0\ub268\0\ub2aa"+
    "\0\ub2ec\0\ub32e\0\ub370\0\ub3b2\0\ub3f4\0\ub436\0\ub478\0\ub4ba"+
    "\0\ub4fc\0\ub53e\0\ub580\0\ub5c2\0\ub604\0\ub646\0\ub688\0\ub6ca"+
    "\0\ub70c\0\ub74e\0\ub790\0\ub7d2\0\ub814\0\ub856\0\ub898\0\ub8da"+
    "\0\ub91c\0\ub95e\0\ub9a0\0\ub9e2\0\uba24\0\uba66\0\ubaa8\0\ubaea"+
    "\0\ubb2c\0\ubb6e\0\ubbb0\0\ubbf2\0\ubc34\0\ubc76\0\ubcb8\0\ubcfa"+
    "\0\ubd3c\0\ubd7e\0\ubdc0\0\ube02\0\ube44\0\ube86\0\ubec8\0\ubf0a"+
    "\0\ubf4c\0\ubf8e\0\ubfd0\0\uc012\0\uc054\0\uc096\0\uc0d8\0\uc11a"+
    "\0\uc15c\0\uc19e\0\uc1e0\0\uc222\0\uc264\0\uc2a6\0\uc2e8\0\uc32a"+
    "\0\uc36c\0\uc3ae\0\uc3f0\0\uc432\0\uc474\0\uc4b6\0\uc4f8\0\uc53a"+
    "\0\uc57c\0\uc5be\0\uc600\0\uc642\0\uc684\0\uc6c6\0\uc708\0\uc74a"+
    "\0\uc78c\0\uc7ce\0\uc810\0\uc852\0\uc894\0\uc8d6\0\uc918\0\uc95a"+
    "\0\uc99c\0\uc9de\0\uca20\0\uca62\0\ucaa4\0\ucae6\0\ucb28\0\ucb6a"+
    "\0\ucbac\0\ucbee\0\ucc30\0\ucc72\0\uccb4\0\uccf6\0\ucd38\0\ucd7a"+
    "\0\ucdbc\0\ucdfe\0\uce40\0\uce82\0\ucec4\0\ucf06\0\ucf48\0\ucf8a"+
    "\0\ucfcc\0\ud00e\0\ud050\0\ud092\0\ud0d4\0\u0318\0\ud116\0\ud158"+
    "\0\ud19a\0\ud1dc\0\ud21e\0\u0318\0\ud260\0\ud2a2\0\ud2e4\0\ud326"+
    "\0\ud368\0\ud3aa\0\ud3ec\0\u0318\0\ud42e\0\ud470\0\ud4b2\0\ud4f4"+
    "\0\ud536\0\u0318\0\ud578\0\ud5ba\0\ud5fc\0\ud63e\0\ud680\0\u0318"+
    "\0\ud6c2\0\ud704\0\ud746\0\ud788\0\ud7ca\0\ud80c\0\ud84e\0\ud890"+
    "\0\ud8d2\0\ud914\0\ud956\0\ud998\0\ud9da\0\uda1c\0\uda5e\0\udaa0"+
    "\0\udae2\0\udb24\0\udb66\0\udba8\0\udbea\0\udc2c\0\udc6e\0\udcb0"+
    "\0\udcf2\0\udd34\0\udd76\0\uddb8\0\uddfa\0\ude3c\0\ude7e\0\udec0"+
    "\0\udf02\0\udf44\0\udf86\0\udfc8\0\ue00a\0\ue04c\0\ue08e\0\ue0d0"+
    "\0\ue112\0\ue154\0\ue196\0\ue1d8\0\ue21a\0\ue25c\0\ue29e\0\ue2e0"+
    "\0\ue322\0\ue364\0\ue3a6\0\ue3e8\0\ue42a\0\ue46c\0\ue4ae\0\ue4f0"+
    "\0\ue532\0\ue574\0\ue5b6\0\ue5f8\0\ue63a\0\ue67c\0\ue6be\0\ue700"+
    "\0\ue742\0\ue784\0\ue7c6\0\ue808\0\ue84a\0\ue88c";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[934];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\13\1\14\5\13\1\15\2\13\30\15\1\16\2\13"+
    "\30\15\3\13\44\17\1\20\35\17\3\21\1\22\5\21"+
    "\1\0\2\21\30\0\3\21\30\0\3\21\45\0\1\23"+
    "\34\0\3\24\1\25\5\24\1\0\2\24\30\0\3\24"+
    "\30\0\3\24\45\0\1\26\34\0\3\27\1\30\5\27"+
    "\1\0\2\27\30\0\3\27\30\0\3\27\3\31\1\32"+
    "\5\31\1\0\2\31\30\0\3\31\30\0\3\31\45\0"+
    "\1\33\34\0\3\34\1\35\5\34\1\0\2\34\30\0"+
    "\3\34\30\0\3\34\14\0\1\36\1\0\1\37\1\0"+
    "\1\40\1\0\1\41\1\42\7\0\1\43\1\44\1\45"+
    "\1\0\1\46\7\0\1\36\1\0\1\47\1\0\1\40"+
    "\1\0\1\41\1\42\7\0\1\43\1\44\1\45\1\0"+
    "\1\46\11\0\1\50\11\0\1\36\1\0\1\37\1\0"+
    "\1\40\1\0\1\41\1\42\7\0\1\43\1\44\1\45"+
    "\1\0\1\46\7\0\1\36\1\0\1\47\1\0\1\40"+
    "\1\0\1\41\1\42\7\0\1\43\1\44\1\45\1\0"+
    "\1\46\125\0\1\36\1\0\1\37\1\0\1\40\1\0"+
    "\1\41\1\42\3\0\1\51\3\0\1\43\1\44\1\45"+
    "\1\0\1\46\7\0\1\36\1\0\1\47\1\0\1\40"+
    "\1\0\1\41\1\42\3\0\1\51\3\0\1\43\1\44"+
    "\1\45\1\0\1\46\17\0\1\52\130\0\1\53\32\0"+
    "\1\53\11\0\1\21\34\0\1\53\32\0\1\53\40\0"+
    "\1\54\32\0\1\54\35\0\1\55\1\0\1\56\1\57"+
    "\7\0\1\60\1\0\1\61\1\0\1\62\13\0\1\55"+
    "\1\0\1\56\1\57\7\0\1\60\1\0\1\61\1\0"+
    "\1\62\11\0\1\24\15\0\1\55\1\0\1\56\1\57"+
    "\7\0\1\60\1\0\1\61\1\0\1\62\13\0\1\55"+
    "\1\0\1\56\1\57\7\0\1\60\1\0\1\61\1\0"+
    "\1\62\40\0\1\63\32\0\1\63\31\0\1\64\32\0"+
    "\1\64\34\0\1\27\11\0\1\64\32\0\1\64\50\0"+
    "\1\65\65\0\1\31\13\0\1\65\114\0\1\66\32\0"+
    "\1\66\33\0\1\67\65\0\1\34\13\0\1\67\116\0"+
    "\1\70\32\0\1\70\22\0\1\71\22\0\1\72\4\0"+
    "\1\73\25\0\1\72\44\0\1\74\32\0\1\74\42\0"+
    "\1\75\32\0\1\75\17\0\1\75\16\0\1\76\32\0"+
    "\1\76\67\0\1\77\32\0\1\77\51\0\1\100\32\0"+
    "\1\100\26\0\1\101\32\0\1\101\27\0\3\102\1\0"+
    "\1\103\1\0\1\102\4\0\1\104\15\0\1\105\2\0"+
    "\1\106\11\0\1\104\15\0\1\105\2\0\1\106\43\0"+
    "\1\72\32\0\1\72\42\0\1\107\32\0\1\107\17\0"+
    "\1\107\27\0\1\110\32\0\1\110\20\0\3\111\1\0"+
    "\1\112\1\0\1\111\4\0\1\113\20\0\1\114\11\0"+
    "\1\113\20\0\1\114\37\0\1\115\32\0\1\115\17\0"+
    "\1\115\30\0\1\116\32\0\1\116\42\0\1\117\32\0"+
    "\1\117\17\0\1\117\16\0\1\120\32\0\1\120\67\0"+
    "\1\121\32\0\1\121\31\0\1\122\32\0\1\122\63\0"+
    "\1\123\32\0\1\123\37\0\1\124\32\0\1\124\17\0"+
    "\1\124\33\0\1\125\32\0\1\125\22\0\1\126\27\0"+
    "\1\127\70\0\1\130\32\0\1\130\17\0\1\130\7\0"+
    "\1\131\27\0\1\132\75\0\1\133\32\0\1\133\52\0"+
    "\1\134\72\0\1\135\4\0\1\136\25\0\1\135\4\0"+
    "\1\136\44\0\1\137\1\0\1\140\60\0\1\141\3\0"+
    "\1\142\26\0\1\141\3\0\1\142\66\0\1\143\32\0"+
    "\1\143\7\0\3\144\1\0\1\145\126\0\1\146\32\0"+
    "\1\146\34\0\1\147\32\0\1\147\64\0\1\150\32\0"+
    "\1\150\6\0\1\150\2\0\3\102\1\0\1\103\6\0"+
    "\1\104\15\0\1\105\14\0\1\104\15\0\1\105\45\0"+
    "\1\151\32\0\1\151\16\0\3\152\1\0\1\153\1\0"+
    "\1\152\20\0\1\154\4\0\1\155\25\0\1\154\4\0"+
    "\1\155\46\0\1\156\32\0\1\156\35\0\1\157\32\0"+
    "\1\157\17\0\1\157\33\0\1\160\32\0\1\160\43\0"+
    "\1\161\32\0\1\161\17\0\1\161\1\0\3\111\1\0"+
    "\1\112\6\0\1\113\32\0\1\113\63\0\1\162\32\0"+
    "\1\162\16\0\3\163\1\0\1\164\1\0\1\163\20\0"+
    "\1\165\4\0\1\166\25\0\1\165\4\0\1\166\35\0"+
    "\1\167\32\0\1\167\17\0\1\167\31\0\1\170\32\0"+
    "\1\170\33\0\1\171\3\0\1\172\26\0\1\171\3\0"+
    "\1\172\66\0\1\173\32\0\1\173\7\0\3\174\1\0"+
    "\1\175\126\0\1\176\32\0\1\176\52\0\1\177\32\0"+
    "\1\177\6\0\1\177\25\0\1\200\32\0\1\200\17\0"+
    "\1\200\31\0\1\201\32\0\1\201\52\0\1\202\32\0"+
    "\1\202\52\0\1\203\77\0\1\204\73\0\1\205\32\0"+
    "\1\205\56\0\1\206\75\0\1\204\55\0\1\207\101\0"+
    "\1\210\122\0\1\211\32\0\1\211\55\0\1\212\32\0"+
    "\1\212\10\0\3\137\1\0\1\213\1\137\35\0\1\214"+
    "\1\0\1\137\34\0\3\140\1\0\1\215\1\140\35\0"+
    "\1\216\1\0\1\140\64\0\1\217\32\0\1\217\53\0"+
    "\1\101\32\0\1\101\6\0\1\101\20\0\1\220\32\0"+
    "\1\220\30\0\3\144\1\0\1\145\12\0\1\40\12\0"+
    "\1\43\1\0\1\45\15\0\1\40\12\0\1\43\1\0"+
    "\1\45\42\0\1\221\32\0\1\221\45\0\1\222\1\223"+
    "\31\0\1\222\1\223\53\0\1\224\32\0\1\224\6\0"+
    "\1\224\15\0\1\225\3\0\1\225\3\0\1\225\5\0"+
    "\1\225\14\0\1\225\3\0\1\225\3\0\1\225\5\0"+
    "\1\225\31\0\1\226\32\0\1\226\32\0\3\152\1\0"+
    "\1\153\27\0\1\155\32\0\1\155\42\0\1\227\32\0"+
    "\1\227\45\0\1\230\32\0\1\230\16\0\1\231\2\232"+
    "\1\233\1\231\1\234\1\232\1\235\1\231\1\0\2\231"+
    "\4\0\1\236\23\0\1\237\1\231\1\232\4\0\1\236"+
    "\23\0\3\231\17\0\1\240\32\0\1\240\44\0\1\241"+
    "\32\0\1\241\43\0\1\242\120\0\1\243\32\0\1\243"+
    "\32\0\1\244\32\0\1\244\32\0\3\163\1\0\1\164"+
    "\27\0\1\166\32\0\1\166\42\0\1\245\32\0\1\245"+
    "\45\0\1\246\32\0\1\246\25\0\1\204\10\0\1\247"+
    "\32\0\1\247\43\0\1\250\32\0\1\250\41\0\1\251"+
    "\122\0\1\252\32\0\1\252\53\0\1\122\32\0\1\122"+
    "\6\0\1\122\20\0\1\253\32\0\1\253\30\0\3\174"+
    "\1\0\1\175\12\0\1\55\12\0\1\60\1\0\1\61"+
    "\15\0\1\55\12\0\1\60\1\0\1\61\42\0\1\254"+
    "\32\0\1\254\45\0\1\255\1\256\31\0\1\255\1\256"+
    "\31\0\1\257\3\0\1\257\3\0\1\257\5\0\1\257"+
    "\14\0\1\257\3\0\1\257\3\0\1\257\5\0\1\257"+
    "\31\0\1\260\32\0\1\260\41\0\1\261\100\0\1\204"+
    "\101\0\1\262\102\0\1\263\100\0\1\264\73\0\3\207"+
    "\1\0\1\265\1\207\35\0\1\266\1\0\1\207\66\0"+
    "\1\267\1\0\1\270\45\0\3\271\1\0\1\272\1\0"+
    "\1\271\14\0\1\273\12\0\1\274\17\0\1\273\12\0"+
    "\1\274\4\0\1\273\22\0\1\275\32\0\1\275\57\0"+
    "\1\276\32\0\1\276\44\0\1\277\32\0\1\277\50\0"+
    "\1\300\32\0\1\300\44\0\1\301\32\0\1\301\33\0"+
    "\1\302\32\0\1\302\56\0\1\303\32\0\1\303\17\0"+
    "\1\303\17\0\1\304\32\0\1\304\71\0\1\305\32\0"+
    "\1\305\46\0\1\306\32\0\1\306\45\0\1\307\32\0"+
    "\1\307\10\0\3\225\1\0\1\310\36\0\1\311\73\0"+
    "\1\312\32\0\1\312\6\0\1\312\16\0\1\313\32\0"+
    "\1\313\32\0\3\152\1\0\1\153\1\0\1\152\14\0"+
    "\1\314\10\0\1\155\21\0\1\314\10\0\1\155\6\0"+
    "\1\314\3\0\3\315\1\0\1\316\1\315\35\0\1\317"+
    "\1\0\1\315\34\0\1\315\1\232\1\315\1\0\1\316"+
    "\1\315\35\0\1\317\1\0\1\315\64\0\1\320\32\0"+
    "\1\320\15\0\1\231\2\232\1\233\1\231\1\234\1\232"+
    "\2\231\1\0\2\231\30\0\1\237\1\231\1\232\30\0"+
    "\3\231\22\0\1\321\32\0\1\321\53\0\1\322\32\0"+
    "\1\322\17\0\3\323\1\324\3\323\1\325\1\323\1\0"+
    "\2\323\10\0\1\326\17\0\3\323\10\0\1\326\17\0"+
    "\1\327\2\323\1\0\3\330\1\0\1\331\1\332\1\330"+
    "\4\0\1\104\1\0\1\333\13\0\1\334\5\0\1\335"+
    "\3\0\1\336\1\0\1\332\1\104\1\0\1\333\13\0"+
    "\1\334\5\0\1\335\22\0\30\337\2\0\1\337\71\0"+
    "\1\340\32\0\1\340\6\0\1\340\16\0\1\341\32\0"+
    "\1\341\32\0\3\163\1\0\1\164\1\0\1\163\14\0"+
    "\1\342\10\0\1\166\21\0\1\342\10\0\1\166\6\0"+
    "\1\342\24\0\1\343\32\0\1\343\25\0\3\111\1\0"+
    "\1\112\1\0\1\111\4\0\1\113\23\0\1\344\6\0"+
    "\1\113\23\0\1\344\52\0\1\345\51\0\1\346\32\0"+
    "\1\346\56\0\1\347\32\0\1\347\17\0\1\347\17\0"+
    "\1\350\32\0\1\350\71\0\1\351\32\0\1\351\46\0"+
    "\1\352\32\0\1\352\7\0\3\257\1\0\1\353\36\0"+
    "\1\354\36\0\3\355\1\0\1\356\1\0\1\357\6\0"+
    "\1\360\13\0\1\361\5\0\1\362\10\0\1\360\13\0"+
    "\1\361\5\0\1\362\52\0\1\363\72\0\1\202\110\0"+
    "\1\364\70\0\1\202\77\0\1\365\32\0\1\365\44\0"+
    "\1\366\32\0\1\366\26\0\1\137\101\0\1\140\73\0"+
    "\3\271\1\0\1\272\31\0\1\274\32\0\1\274\40\0"+
    "\1\367\32\0\1\367\53\0\1\370\32\0\1\370\6\0"+
    "\1\370\36\0\1\371\32\0\1\371\11\0\3\372\1\373"+
    "\5\372\1\0\2\372\30\0\3\372\30\0\3\372\15\0"+
    "\1\374\32\0\1\374\57\0\1\375\32\0\1\375\17\0"+
    "\1\375\15\0\1\376\32\0\1\376\57\0\1\377\32\0"+
    "\1\377\17\0\1\377\37\0\1\150\32\0\1\150\25\0"+
    "\1\u0100\32\0\1\u0100\66\0\1\u0101\32\0\1\u0101\6\0"+
    "\1\u0101\30\0\1\u0102\32\0\1\u0102\50\0\1\u0103\32\0"+
    "\1\u0103\31\0\1\u0104\15\0\1\u0105\14\0\1\u0104\15\0"+
    "\1\u0105\45\0\1\u0106\32\0\1\u0106\44\0\1\u0107\32\0"+
    "\1\u0107\52\0\1\u0108\32\0\1\u0108\51\0\1\u0109\32\0"+
    "\1\u0109\6\0\1\u0109\32\0\1\u010a\32\0\1\u010a\32\0"+
    "\1\u010b\32\0\1\u010b\31\0\1\231\2\232\1\233\1\231"+
    "\1\234\1\232\1\235\1\231\1\0\2\231\10\0\1\u010c"+
    "\17\0\1\237\1\231\1\232\10\0\1\u010c\17\0\1\u010d"+
    "\2\231\26\0\1\u010e\32\0\1\u010e\17\0\1\u010e\2\0"+
    "\1\323\77\0\3\323\1\324\5\323\1\0\2\323\30\0"+
    "\3\323\30\0\3\323\31\0\1\u010f\32\0\1\u010f\16\0"+
    "\3\330\1\0\1\331\1\332\5\0\1\104\1\0\1\333"+
    "\13\0\1\334\11\0\1\336\1\0\1\332\1\104\1\0"+
    "\1\333\13\0\1\334\45\0\1\u0110\32\0\1\u0110\16\0"+
    "\3\332\1\0\1\u0111\1\332\35\0\1\336\1\0\1\332"+
    "\65\0\1\u0112\32\0\1\u0112\51\0\1\u0113\32\0\1\u0113"+
    "\42\0\1\u0114\32\0\1\u0114\44\0\1\u0115\32\0\1\u0115"+
    "\31\0\1\u0116\1\0\30\337\2\0\1\337\66\0\1\u0117"+
    "\32\0\1\u0117\51\0\1\u0118\32\0\1\u0118\6\0\1\u0118"+
    "\32\0\1\u0119\32\0\1\u0119\24\0\1\204\14\0\1\u011a"+
    "\32\0\1\u011a\17\0\1\u011a\33\0\1\u011b\32\0\1\u011b"+
    "\15\0\44\u011c\1\0\35\u011c\37\0\1\177\32\0\1\177"+
    "\25\0\1\u011d\32\0\1\u011d\66\0\1\u011e\32\0\1\u011e"+
    "\6\0\1\u011e\30\0\1\u011f\32\0\1\u011f\50\0\1\u0120"+
    "\32\0\1\u0120\46\0\1\u0121\32\0\1\u0121\44\0\1\u0122"+
    "\32\0\1\u0122\20\0\3\355\1\0\1\356\10\0\1\360"+
    "\13\0\1\361\16\0\1\360\13\0\1\361\45\0\1\u0123"+
    "\32\0\1\u0123\47\0\1\u0124\32\0\1\u0124\51\0\1\u0125"+
    "\32\0\1\u0125\42\0\1\u0126\32\0\1\u0126\15\0\44\u0127"+
    "\1\0\35\u0127\44\u0128\1\0\35\u0128\15\0\1\u0129\32\0"+
    "\1\u0129\57\0\1\u012a\32\0\1\u012a\17\0\1\u012a\15\0"+
    "\1\u012b\32\0\1\u012b\67\0\1\u012c\32\0\1\u012c\6\0"+
    "\1\u012c\25\0\1\u012d\32\0\1\u012d\17\0\1\u012d\4\0"+
    "\1\372\135\0\1\u012e\32\0\1\u012e\6\0\1\u012e\32\0"+
    "\1\u012f\32\0\1\u012f\53\0\1\u0130\32\0\1\u0130\6\0"+
    "\1\u0130\32\0\1\u0131\32\0\1\u0131\35\0\1\u0132\32\0"+
    "\1\u0132\61\0\1\u0133\32\0\1\u0133\35\0\1\217\32\0"+
    "\1\217\42\0\1\u0134\32\0\1\u0134\31\0\3\u0104\1\0"+
    "\1\u0135\10\0\1\u0136\32\0\1\u0136\31\0\3\u0105\1\0"+
    "\1\u0137\31\0\1\u0138\32\0\1\u0138\24\0\1\u0139\32\0"+
    "\1\u0139\57\0\1\u013a\32\0\1\u013a\17\0\1\u013a\13\0"+
    "\1\102\121\0\1\u013b\32\0\1\u013b\14\0\3\152\1\0"+
    "\1\153\1\0\1\152\14\0\1\u013c\10\0\1\155\21\0"+
    "\1\u013c\10\0\1\155\6\0\1\u013c\40\0\1\u013d\32\0"+
    "\1\u013d\6\0\1\u013d\33\0\1\u013e\32\0\1\u013e\45\0"+
    "\1\u013f\32\0\1\u013f\31\0\1\u0140\32\0\1\u0140\47\0"+
    "\1\u0141\32\0\1\u0141\62\0\1\u0142\32\0\1\u0142\44\0"+
    "\1\u0143\32\0\1\u0143\36\0\1\u0144\32\0\1\u0144\43\0"+
    "\1\u0145\32\0\1\u0145\60\0\1\u0146\32\0\1\u0146\17\0"+
    "\1\u0146\2\u0116\3\0\5\u0116\1\u0147\31\u0116\2\0\34\u0116"+
    "\13\0\1\111\121\0\1\u0148\32\0\1\u0148\14\0\3\163"+
    "\1\0\1\164\1\0\1\163\14\0\1\u0149\10\0\1\166"+
    "\21\0\1\u0149\10\0\1\166\6\0\1\u0149\34\0\1\u014a"+
    "\32\0\1\u014a\30\0\1\u014b\32\0\1\u014b\32\0\44\u011c"+
    "\1\0\1\u014c\34\u011c\20\0\1\u014d\32\0\1\u014d\61\0"+
    "\1\u014e\32\0\1\u014e\35\0\1\252\32\0\1\252\42\0"+
    "\1\u014f\32\0\1\u014f\45\0\1\u0150\32\0\1\u0150\57\0"+
    "\1\u0151\32\0\1\u0151\17\0\1\u0151\15\0\1\u0152\32\0"+
    "\1\u0152\60\0\1\u0153\32\0\1\u0153\36\0\1\u0154\32\0"+
    "\1\u0154\43\0\1\u0155\32\0\1\u0155\32\0\44\u0127\1\0"+
    "\1\u0156\34\u0127\44\u0128\1\0\1\u0157\34\u0128\36\0\1\u0158"+
    "\32\0\1\u0158\6\0\1\u0158\32\0\1\u0159\32\0\1\u0159"+
    "\53\0\1\u015a\32\0\1\u015a\6\0\1\u015a\25\0\1\u015b"+
    "\32\0\1\u015b\17\0\1\u015b\17\0\1\u015c\32\0\1\u015c"+
    "\64\0\1\u015d\32\0\1\u015d\25\0\1\u015e\122\0\1\u015f"+
    "\32\0\1\u015f\25\0\1\u0160\70\0\3\u0132\1\0\1\u0161"+
    "\1\u0132\20\0\1\u0162\10\0\1\u0163\3\0\1\u0164\1\0"+
    "\1\u0132\13\0\1\u0162\10\0\1\u0163\21\0\1\144\112\0"+
    "\1\217\32\0\1\217\17\0\1\217\33\0\1\u0165\32\0"+
    "\1\u0165\47\0\1\u0166\32\0\1\u0166\45\0\1\u0167\32\0"+
    "\1\u0167\52\0\1\u0168\32\0\1\u0168\47\0\1\u0169\32\0"+
    "\1\u0169\6\0\1\u0169\32\0\1\u016a\32\0\1\u016a\30\0"+
    "\1\152\124\0\1\u016b\32\0\1\u016b\6\0\1\u016b\34\0"+
    "\1\u016c\32\0\1\u016c\44\0\1\u016d\32\0\1\u016d\27\0"+
    "\1\u016e\124\0\1\u016f\32\0\1\u016f\47\0\1\u0170\32\0"+
    "\1\u0170\6\0\1\u0170\16\0\1\u0171\32\0\1\u0171\60\0"+
    "\1\u0172\32\0\1\u0172\17\0\1\323\2\u0173\1\u0174\1\323"+
    "\1\u0175\1\u0173\1\u0176\1\323\1\0\2\323\10\0\1\u0177"+
    "\17\0\1\u0178\1\323\1\u0173\10\0\1\u0177\17\0\1\u0179"+
    "\2\323\27\0\1\u017a\32\0\1\u017a\50\0\1\u017b\32\0"+
    "\1\u017b\26\0\1\u017c\103\0\1\163\124\0\1\u017d\32\0"+
    "\1\u017d\6\0\1\u017d\32\0\1\u017e\32\0\1\u017e\44\0"+
    "\1\u017f\32\0\1\u017f\17\0\11\u011c\1\u0180\32\u011c\1\0"+
    "\1\u014c\34\u011c\1\0\3\u014d\1\0\1\u0181\1\u014d\20\0"+
    "\1\u0182\10\0\1\u0183\3\0\1\u0184\1\0\1\u014d\13\0"+
    "\1\u0182\10\0\1\u0183\21\0\1\174\112\0\1\252\32\0"+
    "\1\252\17\0\1\252\40\0\1\u0185\32\0\1\u0185\6\0"+
    "\1\u0185\32\0\1\u0186\32\0\1\u0186\53\0\1\u0187\32\0"+
    "\1\u0187\6\0\1\u0187\30\0\1\u0188\32\0\1\u0188\26\0"+
    "\1\204\14\0\1\u0189\32\0\1\u0189\17\0\1\u0189\31\0"+
    "\1\u018a\32\0\1\u018a\17\0\11\u0127\1\u018b\32\u0127\1\0"+
    "\1\u0156\34\u0127\11\u0128\1\u018c\32\u0128\1\0\1\u0157\34\u0128"+
    "\33\0\1\u018d\32\0\1\u018d\25\0\1\u018e\122\0\1\u018f"+
    "\32\0\1\u018f\45\0\1\u0190\32\0\1\u0190\15\0\3\u0191"+
    "\1\0\1\u0192\1\0\1\u0191\6\0\1\u0193\14\0\1\u0194"+
    "\1\0\1\u0195\2\0\1\u0196\10\0\1\u0193\14\0\1\u0194"+
    "\1\0\1\u0195\2\0\1\u0196\21\0\1\137\104\0\1\u0197"+
    "\17\0\1\u0198\12\0\1\u0197\17\0\1\u0198\6\0\1\u0198"+
    "\14\0\1\140\123\0\1\u0199\1\u019a\31\0\1\u0199\1\u019a"+
    "\6\0\1\u019a\32\0\1\u019b\32\0\1\u019b\31\0\1\u019c"+
    "\32\0\1\u019c\63\0\1\u019d\32\0\1\u019d\44\0\1\u019e"+
    "\32\0\1\u019e\34\0\1\u019f\32\0\1\u019f\66\0\1\u01a0"+
    "\32\0\1\u01a0\26\0\1\u01a1\32\0\1\u01a1\55\0\1\u01a2"+
    "\32\0\1\u01a2\17\0\1\u01a2\35\0\1\u01a3\32\0\1\u01a3"+
    "\25\0\1\u01a4\126\0\1\u01a5\32\0\1\u01a5\22\0\1\315"+
    "\102\0\1\u01a6\3\0\1\u01a7\26\0\1\u01a6\3\0\1\u01a7"+
    "\44\0\1\u01a8\16\0\1\u01a9\1\u01aa\12\0\1\u01a8\16\0"+
    "\1\u01a9\1\u01aa\6\0\1\u01aa\25\0\1\u01ab\32\0\1\u01ab"+
    "\17\0\1\u01ab\35\0\1\u01ac\32\0\1\u01ac\51\0\1\u01ad"+
    "\32\0\1\u01ad\6\0\1\u01ad\10\0\1\332\10\0\1\u01ae"+
    "\32\0\1\u01ae\27\0\1\332\1\u0173\1\332\1\0\1\u0111"+
    "\1\332\35\0\1\336\1\0\1\332\33\0\1\323\2\u0173"+
    "\1\u0174\1\323\1\u0175\1\u0173\2\323\1\0\2\323\30\0"+
    "\1\u0178\1\323\1\u0173\30\0\3\323\31\0\1\u01af\32\0"+
    "\1\u01af\35\0\1\330\32\0\1\330\40\0\1\u01b0\100\0"+
    "\1\u017c\33\0\1\u01b1\73\0\1\u01b2\32\0\1\u01b2\23\0"+
    "\1\u01b3\3\0\1\204\26\0\1\u01b3\3\0\1\204\46\0"+
    "\1\111\32\0\1\111\26\0\11\u011c\1\u0180\1\u01b4\31\u011c"+
    "\1\0\1\u014c\34\u011c\31\0\1\u01b5\32\0\1\u01b5\31\0"+
    "\1\u01b6\32\0\1\u01b6\63\0\1\u01b7\32\0\1\u01b7\44\0"+
    "\1\u01b8\32\0\1\u01b8\52\0\1\u01b9\32\0\1\u01b9\25\0"+
    "\1\u01ba\122\0\1\u01bb\32\0\1\u01bb\22\0\1\204\10\0"+
    "\1\u01bc\32\0\1\u01bc\57\0\1\u01bd\32\0\1\u01bd\35\0"+
    "\1\357\32\0\1\357\26\0\11\u0127\1\u018b\1\u01be\31\u0127"+
    "\1\0\1\u0156\34\u0127\11\u0128\1\u018c\1\u01bf\31\u0128\1\0"+
    "\1\u0157\34\u0128\13\0\1\207\104\0\1\u01c0\17\0\1\u01c1"+
    "\12\0\1\u01c0\17\0\1\u01c1\6\0\1\u01c1\14\0\1\271"+
    "\117\0\1\u01c2\32\0\1\u01c2\16\0\3\u0191\1\0\1\u0192"+
    "\10\0\1\u0193\14\0\1\u0194\1\0\1\u0195\13\0\1\u0193"+
    "\14\0\1\u0194\1\0\1\u0195\42\0\1\u01c3\32\0\1\u01c3"+
    "\35\0\1\u01c4\32\0\1\u01c4\63\0\1\u01c5\32\0\1\u01c5"+
    "\20\0\1\u01c6\10\0\1\u01c7\32\0\1\u01c7\65\0\1\u01c8"+
    "\32\0\1\u01c8\33\0\1\u01c9\32\0\1\u01c9\17\0\1\u01c9"+
    "\41\0\1\u01ca\32\0\1\u01ca\27\0\1\u01cb\32\0\1\u01cb"+
    "\65\0\1\u01cc\32\0\1\u01cc\24\0\1\u01cd\32\0\1\u01cd"+
    "\72\0\1\u01ce\32\0\1\u01ce\31\0\1\u01cf\32\0\1\u01cf"+
    "\17\0\1\u01cf\30\0\1\u01d0\32\0\1\u01d0\17\0\1\u01d0"+
    "\36\0\1\u01d1\32\0\1\u01d1\6\0\1\u01d1\40\0\1\u01d2"+
    "\32\0\1\u01d2\45\0\1\u01d3\32\0\1\u01d3\6\0\1\u01d3"+
    "\16\0\1\u01d4\32\0\1\u01d4\44\0\1\225\124\0\1\u01d5"+
    "\32\0\1\u01d5\6\0\1\u01d5\36\0\1\u01d6\32\0\1\u01d6"+
    "\40\0\1\u01d7\32\0\1\u01d7\43\0\1\u01d8\2\0\1\u01d9"+
    "\27\0\1\u01d8\2\0\1\u01d9\14\0\1\u01d8\22\0\1\u01da"+
    "\32\0\1\u01da\65\0\1\u01db\32\0\1\u01db\41\0\1\u01dc"+
    "\32\0\1\u01dc\27\0\1\330\121\0\1\u01dd\32\0\1\u01dd"+
    "\35\0\1\u01de\32\0\1\u01de\40\0\1\u01df\32\0\1\u01df"+
    "\50\0\1\u01e0\17\0\1\u01e1\12\0\1\u01e0\17\0\1\u01e1"+
    "\6\0\1\u01e1\36\0\1\u01e2\32\0\1\u01e2\40\0\1\u01e3"+
    "\32\0\1\u01e3\17\0\2\u01b4\3\u011c\5\u01b4\1\u01e4\31\u01b4"+
    "\1\0\1\u014c\34\u01b4\15\0\1\u01e5\32\0\1\u01e5\72\0"+
    "\1\u01e6\32\0\1\u01e6\31\0\1\u01e7\32\0\1\u01e7\17\0"+
    "\1\u01e7\30\0\1\u01e8\32\0\1\u01e8\17\0\1\u01e8\13\0"+
    "\1\257\124\0\1\u01e9\32\0\1\u01e9\6\0\1\u01e9\14\0"+
    "\1\355\110\0\1\u01ea\32\0\1\u01ea\40\0\1\u01eb\32\0"+
    "\1\u01eb\32\0\2\u01be\3\u0127\5\u01be\1\u01ec\31\u01be\1\0"+
    "\1\u0156\34\u01be\2\u01bf\3\u0128\5\u01bf\1\u01ed\31\u01bf\1\0"+
    "\1\u0157\34\u01bf\24\0\1\u01ee\32\0\1\u01ee\17\0\1\u01ee"+
    "\41\0\1\u01ef\32\0\1\u01ef\27\0\1\271\32\0\1\271"+
    "\43\0\1\u01f0\32\0\1\u01f0\62\0\1\u01f1\32\0\1\u01f1"+
    "\47\0\1\u01f2\32\0\1\u01f2\36\0\1\u01f3\32\0\1\u01f3"+
    "\40\0\1\u01f4\32\0\1\u01f4\71\0\1\u01f5\32\0\1\u01f5"+
    "\42\0\1\u01f6\32\0\1\u01f6\35\0\1\u01f7\32\0\1\u01f7"+
    "\57\0\1\u01f8\32\0\1\u01f8\51\0\1\u01f9\32\0\1\u01f9"+
    "\6\0\1\u01f9\33\0\1\u01fa\32\0\1\u01fa\32\0\1\u01fb"+
    "\32\0\1\u01fb\61\0\1\u01fc\32\0\1\u01fc\50\0\1\u01fd"+
    "\32\0\1\u01fd\33\0\1\u01fe\32\0\1\u01fe\61\0\1\u01ff"+
    "\32\0\1\u01ff\53\0\1\u0200\32\0\1\u0200\45\0\1\u0201"+
    "\32\0\1\u0201\23\0\1\u0202\32\0\1\u0202\52\0\1\u01a7"+
    "\32\0\1\u01a7\65\0\1\u0203\32\0\1\u0203\55\0\1\u0204"+
    "\55\0\1\u0205\32\0\1\u0205\57\0\1\u0206\32\0\1\u0206"+
    "\26\0\1\332\112\0\1\u0207\32\0\1\u0207\17\0\1\u0207"+
    "\37\0\1\u0208\32\0\1\u0208\35\0\1\u0209\32\0\1\u0209"+
    "\17\0\1\u0209\41\0\1\u020a\32\0\1\u020a\23\0\1\u020b"+
    "\32\0\1\u020b\52\0\1\204\32\0\1\204\26\0\17\u011c"+
    "\1\u020c\11\u011c\1\u020d\11\u011c\1\u020e\1\0\1\u014c\4\u011c"+
    "\1\u020c\11\u011c\1\u020d\11\u011c\1\u020e\3\u011c\36\0\1\u020f"+
    "\32\0\1\u020f\6\0\1\u020f\33\0\1\u0210\32\0\1\u0210"+
    "\32\0\1\u0211\32\0\1\u0211\61\0\1\u0212\32\0\1\u0212"+
    "\54\0\1\u0213\32\0\1\u0213\33\0\1\u0214\32\0\1\u0214"+
    "\17\0\1\u0214\37\0\1\u0215\32\0\1\u0215\11\0\43\u0127"+
    "\1\u0216\1\0\1\u0156\30\u0127\1\u0216\3\u0127\31\u0128\1\u0217"+
    "\12\u0128\1\0\1\u0157\16\u0128\1\u0217\15\u0128\37\0\1\u0218"+
    "\32\0\1\u0218\42\0\1\u0219\32\0\1\u0219\51\0\1\u021a"+
    "\32\0\1\u021a\6\0\1\u021a\40\0\1\u021b\32\0\1\u021b"+
    "\50\0\1\u021c\32\0\1\u021c\14\0\1\u01c6\14\0\1\u021d"+
    "\32\0\1\u021d\17\0\1\u021d\37\0\1\u021e\32\0\1\u021e"+
    "\54\0\1\u021f\32\0\1\u021f\45\0\1\u0220\32\0\1\u0220"+
    "\30\0\1\u0221\32\0\1\u0221\17\0\1\u0221\44\0\1\u0222"+
    "\32\0\1\u0222\37\0\1\u0223\32\0\1\u0223\50\0\1\u01fb"+
    "\32\0\1\u01fb\43\0\1\u0224\32\0\1\u0224\26\0\1\u0225"+
    "\102\0\1\u0104\66\0\3\u0226\1\u0227\5\u0226\1\0\2\u0226"+
    "\30\0\3\u0226\30\0\3\u0226\13\0\1\u0105\117\0\1\u0228"+
    "\32\0\1\u0228\50\0\1\u0229\32\0\1\u0229\52\0\1\u022a"+
    "\32\0\1\u022a\52\0\1\u022b\32\0\1\u022b\22\0\1\u022c"+
    "\32\0\1\u022c\53\0\1\u022d\32\0\1\u022d\17\0\1\u022d"+
    "\44\0\1\u022e\32\0\1\u022e\20\0\1\u022f\32\0\1\u022f"+
    "\56\0\1\u0230\32\0\1\u0230\17\0\1\u0230\41\0\1\u0231"+
    "\32\0\1\u0231\42\0\1\u0232\32\0\1\u0232\52\0\1\u0233"+
    "\32\0\1\u0233\7\0\20\u011c\1\u0234\23\u011c\1\0\1\u014c"+
    "\5\u011c\1\u0234\60\u011c\1\u0235\11\u011c\1\0\1\u014c\17\u011c"+
    "\1\u0235\53\u011c\1\u0236\4\u011c\1\0\1\u014c\24\u011c\1\u0236"+
    "\7\u011c\33\0\1\u0237\32\0\1\u0237\50\0\1\u0211\32\0"+
    "\1\u0211\43\0\1\u0238\32\0\1\u0238\26\0\1\u0239\122\0"+
    "\1\u023a\32\0\1\u023a\27\0\1\u01b3\32\0\1\u01b3\56\0"+
    "\1\u023b\32\0\1\u023b\17\0\1\u023b\2\0\37\u0127\1\u023c"+
    "\4\u0127\1\0\1\u0156\24\u0127\1\u023c\7\u0127\32\u0128\1\u023d"+
    "\11\u0128\1\0\1\u0157\17\u0128\1\u023d\14\u0128\43\0\1\u023e"+
    "\32\0\1\u023e\45\0\1\u023f\32\0\1\u023f\37\0\1\u0240"+
    "\32\0\1\u0240\50\0\1\u0241\32\0\1\u0241\20\0\1\u0242"+
    "\14\0\1\u0243\32\0\1\u0243\17\0\1\u0243\34\0\1\u0244"+
    "\32\0\1\u0244\40\0\1\u0245\32\0\1\u0245\17\0\1\u0245"+
    "\14\0\1\u0246\101\0\1\u0247\121\0\1\u0248\32\0\1\u0248"+
    "\26\0\1\u0249\102\0\1\u0132\67\0\3\u0224\1\0\1\u024a"+
    "\1\u0224\30\0\1\u024b\4\0\1\u024c\1\0\1\u0224\23\0"+
    "\1\u024b\45\0\1\u024d\32\0\1\u024d\6\0\1\u024d\3\0"+
    "\1\u0226\113\0\1\u024e\32\0\1\u024e\74\0\1\u024f\32\0"+
    "\1\u024f\30\0\1\u0250\32\0\1\u0250\17\0\1\u0250\14\0"+
    "\1\u0251\107\0\1\u0252\32\0\1\u0252\60\0\1\u0253\32\0"+
    "\1\u0253\26\0\1\u0254\116\0\1\u0255\32\0\1\u0255\51\0"+
    "\1\u0256\32\0\1\u0256\57\0\1\u0257\32\0\1\u0257\45\0"+
    "\1\u0258\32\0\1\u0258\30\0\1\u0259\32\0\1\u0259\17\0"+
    "\1\u0259\2\0\23\u011c\1\u025a\20\u011c\1\0\1\u014c\10\u011c"+
    "\1\u025a\47\u011c\1\u025b\17\u011c\1\0\1\u014c\11\u011c\1\u025b"+
    "\17\u011c\1\u025b\26\u011c\1\u025c\17\u011c\1\0\1\u014c\11\u011c"+
    "\1\u025c\17\u011c\1\u025c\2\u011c\13\0\1\u014d\67\0\3\u0238"+
    "\1\0\1\u025d\1\u0238\30\0\1\62\4\0\1\u025e\1\0"+
    "\1\u0238\23\0\1\62\45\0\1\u025f\32\0\1\u025f\6\0"+
    "\1\u025f\43\0\1\u0260\32\0\1\u0260\36\0\1\204\32\0"+
    "\1\204\14\0\24\u0127\1\u0261\17\u0127\1\0\1\u0156\11\u0127"+
    "\1\u0261\17\u0127\1\u0261\2\u0127\24\u0128\1\u0262\17\u0128\1\0"+
    "\1\u0157\11\u0128\1\u0262\17\u0128\1\u0262\2\u0128\12\0\1\u0263"+
    "\101\0\1\u0264\102\0\1\u0191\75\0\1\u0265\4\0\1\u0266"+
    "\32\0\1\u0266\63\0\1\u0267\32\0\1\u0267\46\0\1\u0268"+
    "\32\0\1\u0268\31\0\1\u0191\32\0\1\u0191\32\0\2\u0246"+
    "\3\0\5\u0246\1\u0269\31\u0246\2\0\34\u0246\2\u0247\3\0"+
    "\5\u0247\1\u026a\31\u0247\2\0\34\u0247\31\0\1\u026b\32\0"+
    "\1\u026b\15\0\2\u0249\3\0\5\u0249\1\u026c\31\u0249\2\0"+
    "\34\u0249\31\0\1\u026d\32\0\1\u026d\52\0\1\u026e\32\0"+
    "\1\u026e\40\0\1\u026f\32\0\1\u026f\56\0\1\u0270\32\0"+
    "\1\u0270\36\0\1\u0271\32\0\1\u0271\31\0\1\u0272\130\0"+
    "\1\u0273\32\0\1\u0273\5\0\2\u0251\3\0\5\u0251\1\u0274"+
    "\31\u0251\2\0\34\u0251\37\0\1\u0275\32\0\1\u0275\40\0"+
    "\1\u022b\32\0\1\u022b\15\0\2\u0254\3\0\5\u0254\1\u0276"+
    "\31\u0254\2\0\34\u0254\20\0\1\332\32\0\1\332\40\0"+
    "\1\u0277\101\0\1\u0278\130\0\1\u0279\32\0\1\u0279\5\0"+
    "\16\u011c\1\u027a\25\u011c\1\0\1\u014c\3\u011c\1\u027a\52\u011c"+
    "\1\u027b\21\u011c\1\0\1\u014c\7\u011c\1\u027b\42\u011c\1\u027c"+
    "\25\u011c\1\0\1\u014c\3\u011c\1\u027c\30\u011c\31\0\1\u027d"+
    "\32\0\1\u027d\44\0\1\u027e\32\0\1\u027e\56\0\1\u027f"+
    "\32\0\1\u027f\21\0\1\u0280\67\0\16\u0127\1\u0281\25\u0127"+
    "\1\0\1\u0156\3\u0127\1\u0281\30\u0127\22\u0128\1\u0282\21\u0128"+
    "\1\0\1\u0157\7\u0128\1\u0282\24\u0128\2\u0263\3\0\5\u0263"+
    "\1\u0283\31\u0263\2\0\34\u0263\2\u0264\3\0\5\u0264\1\u0284"+
    "\31\u0264\2\0\34\u0264\27\0\1\u0285\32\0\1\u0285\35\0"+
    "\1\u0286\32\0\1\u0286\44\0\1\u0287\3\0\1\u01c6\26\0"+
    "\1\u0287\3\0\1\u01c6\37\0\1\u0288\101\0\1\u0289\102\0"+
    "\1\u028a\100\0\1\u028b\105\0\1\u028c\32\0\1\u028c\55\0"+
    "\1\u028d\32\0\1\u028d\17\0\1\u028d\30\0\1\u028e\32\0"+
    "\1\u028e\17\0\1\u028e\33\0\1\u028f\32\0\1\u028f\33\0"+
    "\1\u0290\32\0\1\u0290\47\0\1\u0291\32\0\1\u0291\57\0"+
    "\1\152\32\0\1\152\25\0\1\u0292\104\0\1\u0293\32\0"+
    "\1\u0293\43\0\1\u0294\70\0\2\u0277\3\0\5\u0277\1\u0295"+
    "\31\u0277\2\0\34\u0277\2\u0278\3\0\5\u0278\1\u0296\31\u0278"+
    "\2\0\34\u0278\32\0\1\163\32\0\1\163\14\0\14\u011c"+
    "\1\u0297\27\u011c\1\0\1\u014c\1\u011c\1\u0297\52\u011c\1\u0298"+
    "\23\u011c\1\0\1\u014c\5\u011c\1\u0298\40\u011c\1\u0299\31\u011c"+
    "\1\0\1\u014c\34\u011c\15\0\1\u029a\32\0\1\u029a\57\0"+
    "\1\u029b\32\0\1\u029b\17\0\1\u029b\33\0\1\u029c\32\0"+
    "\1\u029c\34\0\1\u029d\32\0\1\u029d\25\0\12\u0127\1\u029e"+
    "\31\u0127\1\0\1\u0156\34\u0127\20\u0128\1\u029f\23\u0128\1\0"+
    "\1\u0157\5\u0128\1\u029f\26\u0128\11\0\1\u02a0\101\0\1\u02a1"+
    "\110\0\1\u0265\32\0\1\u0265\52\0\1\u02a2\32\0\1\u02a2"+
    "\17\0\1\u02a2\31\0\1\u02a3\32\0\1\u02a3\30\0\1\u0288"+
    "\33\0\1\u02a4\45\0\1\u0289\33\0\1\u02a5\34\0\2\u028a"+
    "\3\0\5\u028a\1\u02a6\31\u028a\2\0\34\u028a\11\0\1\u028b"+
    "\33\0\1\u02a7\72\0\1\u02a8\32\0\1\u02a8\6\0\1\u02a8"+
    "\16\0\1\u02a9\32\0\1\u02a9\62\0\1\u02aa\32\0\1\u02aa"+
    "\57\0\1\u02ab\32\0\1\u02ab\4\0\3\u02ac\1\u02ad\5\u02ac"+
    "\1\0\2\u02ac\30\0\3\u02ac\30\0\3\u02ac\35\0\1\u02ae"+
    "\32\0\1\u02ae\22\0\1\u0292\33\0\1\u02af\52\0\1\u02b0"+
    "\32\0\1\u02b0\41\0\1\u0294\33\0\1\u02b1\45\0\1\u02b2"+
    "\101\0\1\u02b3\70\0\37\u011c\1\u02b4\4\u011c\1\0\1\u014c"+
    "\24\u011c\1\u02b4\44\u011c\1\u027c\6\u011c\1\0\1\u014c\22\u011c"+
    "\1\u027c\42\u011c\1\u02b5\12\u011c\1\0\1\u014c\16\u011c\1\u02b5"+
    "\15\u011c\36\0\1\u02b6\32\0\1\u02b6\6\0\1\u02b6\32\0"+
    "\1\u02b7\32\0\1\u02b7\57\0\1\u02b8\32\0\1\u02b8\41\0"+
    "\1\u02b9\32\0\1\u02b9\11\0\31\u0127\1\u02ba\12\u0127\1\0"+
    "\1\u0156\16\u0127\1\u02ba\15\u0127\35\u0128\1\u02bb\6\u0128\1\0"+
    "\1\u0157\22\u0128\1\u02bb\11\u0128\11\0\1\u02a0\33\0\1\u02bc"+
    "\45\0\1\u02a1\33\0\1\u02bd\50\0\1\u02be\32\0\1\u02be"+
    "\52\0\1\u01c6\32\0\1\u01c6\26\0\44\u02bf\1\0\35\u02bf"+
    "\44\u02c0\1\0\35\u02c0\11\0\1\u02c1\70\0\44\u02c2\1\0"+
    "\35\u02c2\33\0\1\u02c3\32\0\1\u02c3\14\0\3\u02c4\1\0"+
    "\1\u02c5\1\332\1\u02c4\6\0\1\333\13\0\1\u02c6\5\0"+
    "\1\u02c7\3\0\1\336\1\0\1\332\2\0\1\333\13\0"+
    "\1\u02c6\5\0\1\u02c7\20\0\1\u02c8\101\0\1\u02c9\71\0"+
    "\1\u02ac\131\0\1\u02ca\32\0\1\u02ca\14\0\44\u02cb\1\0"+
    "\35\u02cb\23\0\1\u02cc\32\0\1\u02cc\23\0\44\u02cd\1\0"+
    "\35\u02cd\11\0\1\u02b2\33\0\1\u02ce\45\0\1\u02b3\33\0"+
    "\1\u02cf\34\0\20\u011c\1\u02d0\23\u011c\1\0\1\u014c\5\u011c"+
    "\1\u02d0\54\u011c\1\u02d1\15\u011c\1\0\1\u014c\13\u011c\1\u02d1"+
    "\17\u011c\1\u02d1\33\0\1\u02d2\32\0\1\u02d2\25\0\1\u02d3"+
    "\101\0\1\u02d4\121\0\1\u02d5\32\0\1\u02d5\14\0\26\u0127"+
    "\1\u02d6\15\u0127\1\0\1\u0156\13\u0127\1\u02d6\17\u0127\1\u02d6"+
    "\12\u0128\1\u02d7\31\u0128\1\0\1\u0157\34\u0128\44\u02d8\1\0"+
    "\35\u02d8\44\u02d9\1\0\35\u02d9\27\0\1\u02da\32\0\1\u02da"+
    "\17\0\44\u02bf\1\u02db\35\u02bf\44\u02c0\1\u02dc\35\u02c0\11\0"+
    "\1\u02c1\33\0\1\u02dd\34\0\44\u02c2\1\u02de\35\u02c2\13\0"+
    "\1\u0224\67\0\3\u02c4\1\0\1\u02c5\1\332\7\0\1\333"+
    "\13\0\1\u02c6\11\0\1\336\1\0\1\332\2\0\1\333"+
    "\13\0\1\u02c6\45\0\1\u02df\32\0\1\u02df\52\0\1\u02e0"+
    "\32\0\1\u02e0\42\0\1\u02e1\32\0\1\u02e1\53\0\1\u02e2"+
    "\32\0\1\u02e2\6\0\1\u02e2\1\0\2\u02c9\3\0\5\u02c9"+
    "\1\u02e3\31\u02c9\2\0\34\u02c9\30\0\1\u02e4\32\0\1\u02e4"+
    "\16\0\44\u02cb\1\u02e5\35\u02cb\20\0\1\u02e6\32\0\1\u02e6"+
    "\26\0\44\u02cd\1\u02e7\35\u02cd\44\u02e8\1\0\35\u02e8\44\u02e9"+
    "\1\0\35\u02e9\17\u011c\1\u02ea\24\u011c\1\0\1\u014c\4\u011c"+
    "\1\u02ea\56\u011c\1\u02eb\14\u011c\1\0\1\u014c\14\u011c\1\u02eb"+
    "\17\u011c\13\0\1\u0238\124\0\1\u02ec\32\0\1\u02ec\6\0"+
    "\1\u02ec\1\0\2\u02d4\3\0\5\u02d4\1\u02ed\31\u02d4\2\0"+
    "\34\u02d4\30\0\1\u02ee\32\0\1\u02ee\16\0\27\u0127\1\u02ef"+
    "\14\u0127\1\0\1\u0156\14\u0127\1\u02ef\17\u0127\31\u0128\1\u02f0"+
    "\12\u0128\1\0\1\u0157\16\u0128\1\u02f0\15\u0128\44\u02d8\1\u02f1"+
    "\35\u02d8\44\u02d9\1\u02f2\35\u02d9\20\0\1\u0242\32\0\1\u0242"+
    "\36\0\1\u02f3\101\0\1\u02f4\71\0\44\u02f5\1\0\35\u02f5"+
    "\10\0\1\u02f6\106\0\1\u02f7\32\0\1\u02f7\50\0\1\u02f8"+
    "\32\0\1\u02f8\43\0\1\u02f9\32\0\1\u02f9\71\0\1\u02fa"+
    "\32\0\1\u02fa\20\0\1\u02fb\102\0\1\u02fc\77\0\1\u02fd"+
    "\110\0\1\u022b\32\0\1\u022b\37\0\1\u02fe\71\0\44\u02e8"+
    "\1\u02ff\35\u02e8\44\u02e9\1\u0300\35\u02e9\44\u011c\1\0\1\u014c"+
    "\1\u0301\77\u011c\1\u0302\1\u014c\34\u011c\37\0\1\u0303\32\0"+
    "\1\u0303\20\0\1\u0304\102\0\1\u0305\67\0\44\u0127\1\u0302"+
    "\1\u0156\34\u0127\26\u0128\1\u0306\15\u0128\1\0\1\u0157\13\u0128"+
    "\1\u0306\17\u0128\1\u0306\10\0\1\u0307\101\0\1\u0308\120\0"+
    "\1\u0309\32\0\1\u0309\46\0\1\u030a\32\0\1\u030a\17\0"+
    "\44\u02f5\1\u030b\35\u02f5\27\0\1\u030c\32\0\1\u030c\55\0"+
    "\1\u030d\32\0\1\u030d\6\0\1\u030d\2\0\3\332\1\0"+
    "\1\u0111\2\332\14\0\1\u030e\17\0\1\336\1\0\1\332"+
    "\10\0\1\u030e\17\0\1\u030e\31\0\1\u030f\32\0\1\u030f"+
    "\52\0\1\u0310\32\0\1\u0310\24\0\1\u02fb\33\0\1\u0311"+
    "\45\0\1\u0312\117\0\1\u0313\32\0\1\u0313\46\0\1\u0314"+
    "\32\0\1\u0314\27\0\1\u0315\101\0\1\u0316\71\0\27\u011c"+
    "\1\u025c\14\u011c\1\0\1\u014c\14\u011c\1\u025c\17\u011c\1\0"+
    "\3\u0302\2\0\1\u0302\4\0\1\u0317\31\0\1\u0318\1\u0302"+
    "\66\0\1\u0319\32\0\1\u0319\24\0\1\u0304\33\0\1\u031a"+
    "\45\0\1\u031b\70\0\27\u0128\1\u031c\14\u0128\1\0\1\u0157"+
    "\14\u0128\1\u031c\17\u0128\27\0\1\u031d\32\0\1\u031d\46\0"+
    "\1\u031e\32\0\1\u031e\45\0\1\u031f\32\0\1\u031f\17\0"+
    "\1\u031f\26\0\1\u0320\32\0\1\u0320\17\0\1\u0320\10\0"+
    "\1\u0321\117\0\1\u0322\32\0\1\u0322\17\0\1\u0322\33\0"+
    "\1\u0323\32\0\1\u0323\44\0\1\u0324\32\0\1\u0324\35\0"+
    "\1\u02c4\32\0\1\u02c4\70\0\1\u0325\32\0\1\u0325\4\0"+
    "\44\u0326\1\0\35\u0326\11\0\1\u0312\33\0\1\u0327\62\0"+
    "\1\u0328\32\0\1\u0328\17\0\1\u0328\26\0\1\u0329\32\0"+
    "\1\u0329\17\0\1\u0329\27\0\1\u032a\32\0\1\u032a\46\0"+
    "\1\u032b\32\0\1\u032b\52\0\1\u032c\32\0\1\u032c\44\0"+
    "\1\u032d\32\0\1\u032d\57\0\1\u032e\32\0\1\u032e\4\0"+
    "\44\u032f\1\0\35\u032f\11\0\1\u031b\33\0\1\u0330\34\0"+
    "\44\u0128\1\u0302\1\u0157\34\u0128\26\0\1\u0331\32\0\1\u0331"+
    "\17\0\1\u0331\26\0\1\u0332\32\0\1\u0332\17\0\1\u0332"+
    "\31\0\1\u0333\32\0\1\u0333\46\0\1\u0334\32\0\1\u0334"+
    "\44\0\1\u0335\32\0\1\u0335\50\0\1\u0336\32\0\1\u0336"+
    "\30\0\1\u02c4\102\0\1\u0337\32\0\1\u0337\44\0\1\u0338"+
    "\67\0\44\u0326\1\u0339\35\u0326\44\u033a\1\0\35\u033a\31\0"+
    "\1\u033b\32\0\1\u033b\46\0\1\u033c\32\0\1\u033c\43\0"+
    "\1\u033d\32\0\1\u033d\17\0\1\u033d\26\0\1\u033e\32\0"+
    "\1\u033e\17\0\1\u033e\36\0\1\u033f\32\0\1\u033f\6\0"+
    "\1\u033f\27\0\1\u0340\32\0\1\u0340\17\0\1\u0340\12\0"+
    "\1\u0341\67\0\44\u032f\1\u0342\35\u032f\44\u0343\1\0\35\u0343"+
    "\31\0\1\u0344\32\0\1\u0344\46\0\1\u0345\32\0\1\u0345"+
    "\62\0\1\u0346\101\0\1\137\62\0\1\u0347\32\0\1\u0347"+
    "\17\0\1\u0347\45\0\1\140\71\0\1\u0348\32\0\1\u0348"+
    "\11\0\2\u0338\3\0\5\u0338\1\u0349\31\u0338\2\0\34\u0338"+
    "\10\0\1\u034a\71\0\44\u033a\1\u034b\35\u033a\45\0\1\u034c"+
    "\101\0\1\315\65\0\1\u034d\32\0\1\u034d\46\0\1\u034e"+
    "\32\0\1\u034e\32\0\1\u034f\32\0\1\u034f\60\0\1\u0350"+
    "\32\0\1\u0350\17\0\2\u0341\3\0\5\u0341\1\u0351\31\u0341"+
    "\2\0\34\u0341\10\0\1\u0352\71\0\44\u0343\1\u0353\35\u0343"+
    "\45\0\1\u0354\101\0\1\207\65\0\1\u0355\32\0\1\u0355"+
    "\41\0\1\u0356\32\0\1\u0356\17\0\1\u0356\13\0\1\u0357"+
    "\117\0\1\u0358\32\0\1\u0358\27\0\1\u0359\136\0\1\u035a"+
    "\101\0\1\332\65\0\1\u035b\32\0\1\u035b\25\0\1\u035c"+
    "\102\0\1\u035d\117\0\1\u035e\32\0\1\u035e\27\0\1\u035f"+
    "\136\0\1\u0360\66\0\1\332\32\0\1\332\25\0\1\u0357"+
    "\33\0\1\u0361\62\0\1\u0362\32\0\1\u0362\17\0\1\u0362"+
    "\27\0\1\u0363\32\0\1\u0363\24\0\1\u0302\140\0\1\u0364"+
    "\46\0\1\u035d\33\0\1\u0365\62\0\1\u0366\32\0\1\u0366"+
    "\17\0\1\u0366\27\0\1\u0367\32\0\1\u0367\17\0\44\u0368"+
    "\1\0\35\u0368\31\0\1\u0369\32\0\1\u0369\43\0\1\u036a"+
    "\32\0\1\u036a\17\0\1\u036a\44\u036b\1\0\35\u036b\44\u036c"+
    "\1\0\35\u036c\31\0\1\u036d\32\0\1\u036d\43\0\1\u036e"+
    "\32\0\1\u036e\17\0\1\u036e\44\u0368\1\u036f\35\u0368\45\0"+
    "\1\u0132\65\0\1\u0370\32\0\1\u0370\15\0\44\u036b\1\0"+
    "\1\u0371\34\u036b\44\u036c\1\u0372\35\u036c\45\0\1\u014d\65\0"+
    "\1\u0373\32\0\1\u0373\25\0\1\u0374\136\0\1\u0375\34\0"+
    "\11\u036b\1\u0376\32\u036b\1\0\1\u0371\34\u036b\10\0\1\u0377"+
    "\136\0\1\u0378\63\0\1\u0379\32\0\1\u0379\20\0\3\u0375"+
    "\1\0\1\u037a\14\0\1\41\14\0\1\u037b\15\0\1\41"+
    "\14\0\1\u037b\7\0\11\u036b\1\u0376\1\u037c\31\u036b\1\0"+
    "\1\u0371\34\u036b\27\0\1\u037d\32\0\1\u037d\20\0\3\u0378"+
    "\1\0\1\u037e\14\0\1\56\14\0\1\62\15\0\1\56"+
    "\14\0\1\62\35\0\1\u037f\32\0\1\u037f\17\0\1\u037f"+
    "\31\0\1\u0380\32\0\1\u0380\16\0\3\u0381\1\0\1\u0382"+
    "\1\0\1\u0381\22\0\1\105\2\0\1\u0383\27\0\1\105"+
    "\2\0\1\u0383\11\0\2\u037c\3\u036b\5\u037c\1\u0384\31\u037c"+
    "\1\0\1\u0371\34\u037c\26\0\1\u0385\32\0\1\u0385\17\0"+
    "\1\u0385\31\0\1\u0386\32\0\1\u0386\46\0\1\u0387\32\0"+
    "\1\u0387\32\0\1\u0388\32\0\1\u0388\32\0\3\u0381\1\0"+
    "\1\u0382\24\0\1\105\32\0\1\105\45\0\1\u0389\32\0"+
    "\1\u0389\41\0\1\u038a\32\0\1\u038a\17\0\1\u038a\2\0"+
    "\42\u036b\1\u038b\1\u036b\1\0\1\u0371\27\u036b\1\u038b\4\u036b"+
    "\31\0\1\u038c\32\0\1\u038c\32\0\1\u038d\32\0\1\u038d"+
    "\76\0\1\u0224\72\0\1\u038e\32\0\1\u038e\6\0\1\u038e"+
    "\16\0\1\u038f\32\0\1\u038f\46\0\1\u0390\32\0\1\u0390"+
    "\31\0\33\u036b\1\u0391\10\u036b\1\0\1\u0371\20\u036b\1\u0391"+
    "\13\u036b\45\0\1\u0238\72\0\1\u0392\32\0\1\u0392\6\0"+
    "\1\u0392\34\0\1\u0393\32\0\1\u0393\51\0\1\u0394\32\0"+
    "\1\u0394\6\0\1\u0394\2\0\3\u0395\1\0\1\u0396\1\332"+
    "\1\u0395\6\0\1\333\13\0\1\334\5\0\1\u0397\3\0"+
    "\1\336\1\0\1\332\2\0\1\333\13\0\1\334\5\0"+
    "\1\u0397\6\0\37\u036b\1\u0398\4\u036b\1\0\1\u0371\24\u036b"+
    "\1\u0398\7\u036b\33\0\1\u0399\32\0\1\u0399\26\0\1\u0375"+
    "\121\0\1\u039a\32\0\1\u039a\14\0\3\u0395\1\0\1\u0396"+
    "\1\332\7\0\1\333\13\0\1\334\11\0\1\336\1\0"+
    "\1\332\2\0\1\333\13\0\1\334\45\0\1\u039b\32\0"+
    "\1\u039b\46\0\1\u039c\32\0\1\u039c\15\0\36\u036b\1\u039d"+
    "\5\u036b\1\0\1\u0371\23\u036b\1\u039d\6\u036b\1\u039d\1\u036b"+
    "\13\0\1\u0378\101\0\1\u0381\103\0\1\u039e\32\0\1\u039e"+
    "\45\0\1\u039f\32\0\1\u039f\32\0\12\u036b\1\u03a0\31\u036b"+
    "\1\0\1\u0371\34\u036b\36\0\1\u03a1\32\0\1\u03a1\6\0"+
    "\1\u03a1\30\0\1\u03a2\32\0\1\u03a2\17\0\31\u036b\1\u03a3"+
    "\12\u036b\1\0\1\u0371\16\u036b\1\u03a3\15\u036b\33\0\1\u03a4"+
    "\32\0\1\u03a4\33\0\1\u0395\32\0\1\u0395\26\0\26\u036b"+
    "\1\u03a5\15\u036b\1\0\1\u0371\13\u036b\1\u03a5\17\u036b\1\u03a5"+
    "\13\0\1\u0395\66\0\27\u036b\1\u03a6\14\u036b\1\0\1\u0371"+
    "\14\u036b\1\u03a6\63\u036b\1\u0302\1\u0371\34\u036b";

  private static int [] zzUnpacktrans() {
    int [] result = new int[59598];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\12\0\2\1\1\11\1\1\1\11\1\1\145\0\1\1"+
    "\15\0\1\11\24\0\1\11\4\1\1\0\1\1\3\0"+
    "\1\11\14\0\1\1\42\0\1\11\2\1\1\0\1\1"+
    "\13\0\1\1\13\0\1\1\12\0\1\11\1\1\21\0"+
    "\1\1\106\0\1\1\36\0\4\1\1\0\2\1\33\0"+
    "\1\1\33\0\1\11\24\0\1\11\54\0\1\1\50\0"+
    "\1\1\11\0\1\11\1\1\31\0\1\1\1\11\42\0"+
    "\1\11\106\0\1\11\1\1\124\0\1\1\103\0\1\11"+
    "\5\0\1\11\7\0\1\11\5\0\1\11\5\0\1\11"+
    "\106\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[934];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S046_RegionalCaseLawAuthorities() { }
	


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S046_RegionalCaseLawAuthorities(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 18: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 19: break;
          case 3:
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "TRIB_AMM_REG", true, true);
            }
          // fall through
          case 20: break;
          case 4:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 21: break;
          case 5:
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "TRIB", true, true);
            }
          // fall through
          case 22: break;
          case 6:
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "COURT", true, true);
            }
          // fall through
          case 23: break;
          case 7:
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "COMM_TRIBUT_REG", true, false);
            }
          // fall through
          case 24: break;
          case 8:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 25: break;
          case 9:
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "COMM_TRIBUT_PROV", true, false);
            }
          // fall through
          case 26: break;
          case 10:
            { /* TODO Va impostato il valore delle Corte emanante il documento di input */
	
	String value = "THIS_COURT";
	
	if(getLinkolnDocument().getInputAuthority() != null) {
		
		if(getLinkolnDocument().getInputAuthority().equalsIgnoreCase("CORTE_COST")) value = "CORTE_COST";
		if(getLinkolnDocument().getInputAuthority().equalsIgnoreCase("CORTE_CASS")) value = "CORTE_CASS";
		if(getLinkolnDocument().getInputAuthority().equalsIgnoreCase("CORTE_CONTI")) value = "CORTE_CONTI";
	}
	
	annotate(new AnnotationEntity(Entity.CL_AUTH), value, true, true);
            }
          // fall through
          case 27: break;
          case 11:
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "COMM_TRIBUT_CEN", true, false);
            }
          // fall through
          case 28: break;
          case 12:
            { /* TODO Va impostato il valore delle Corte emanante il documento di input */
	
	String value = "THIS_TRIBUNAL";
	
	if(getLinkolnDocument().getInputAuthority() != null) {
		
		/* Per ora niente */		
	}
	
	annotate(new AnnotationEntity(Entity.CL_AUTH), value, true, true);
            }
          // fall through
          case 29: break;
          case 13:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 9;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "COMM_TRIBUT_PROV", true, false);
            }
          // fall through
          case 30: break;
          case 14:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 2;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 3;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "TRIB_AMM_REG", true, false);
            }
          // fall through
          case 31: break;
          case 15:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 6;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "CORTE_APPELLO", true, false);
            }
          // fall through
          case 32: break;
          case 16:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 4;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 5;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "TRIB", true, false);
            }
          // fall through
          case 33: break;
          case 17:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 7;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 8;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { annotate(new AnnotationEntity(Entity.CL_AUTH), "COMM_TRIBUT_REG", true, false);
            }
          // fall through
          case 34: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S046_RegionalCaseLawAuthorities [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S046_RegionalCaseLawAuthorities scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S046_RegionalCaseLawAuthorities(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
